#!/usr/bin/env bash

# ------------------------------------------------------------------------------------------------------------------------------
# Copyright (C) 2015 - 2021
# Symphony Communication Services LLC
# All Rights Reserved
# ------------------------------------------------------------------------------------------------------------------------------
# The information contained herein is proprietary and confidential, and may not be duplicated or redistributed in any form
# without express written consent of Symphony Communication Services LLC
# ------------------------------------------------------------------------------------------------------------------------------


# ------------------------------------------------ Symphony API Agent ----------------------------------------------------------
#
# The Agent process is a web application deployed on premise, responsible for encrypting and decrypting the payloads of
# messages and files sent and received by an API caller so that the caller does not need to implement encryption itself.
#

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source $DIR/agent_process_manager.sh
agent_pid=$(get_agent_pid)
if (( agent_pid < 0 )); then
  echo_fatal_error "Agent is not running!"
fi

echo "Stopping Agent - PID='${agent_pid}' ..."
kill ${agent_pid}
